var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

/*
 * boardlist-catalog-links.js
 *
 * Usage:
 *   $config['additional_javascript'][] = 'js/jquery.min.js';
 *   $config['additional_javascript'][] = 'js/boardlist-catalog-links.js';
 *
 */

$(document).ready(function() {
	
    function replace_index_links() {
        $('.boardlist').children('span[class="sub"]').children('a').each(function() {
	        this.href = this.href.replace('index.html', 'catalog.html');
        });
    }

	if (window.Options && Options.get_tab('general')) {
		Options.extend_tab("general", "<fieldset><legend> Board List Catalog Links </legend><label><input type='checkbox' id='boardlist_catalog_links' /> "+_('Use catalog links for the board list')+"</label></fieldset>");

	$('#boardlist_catalog_links').on('change', function(){
		var setting = $(this).attr('id');

		localStorage[setting] = $(this).is(':checked');
		location.reload();
	});
		
		if (localStorage.boardlist_catalog_links === 'true') {
			$('#boardlist_catalog_links').prop('checked', true);
			replace_index_links();
		}
	}
});


}
/*
     FILE ARCHIVED ON 20:02:37 Sep 12, 2022 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 03:53:12 Mar 03, 2024.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  exclusion.robots: 0.068
  exclusion.robots.policy: 0.058
  cdx.remote: 0.091
  esindex: 0.009
  LoadShardBlock: 264.561 (6)
  PetaboxLoader3.resolve: 231.92 (5)
  PetaboxLoader3.datanode: 170.217 (8)
  load_resource: 240.353 (2)
*/